Get orders
curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/pos/ordersimport requests
url = "https://api.chift.eu/consumers/{consumer_id}/pos/orders"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.chift.eu/consumers/{consumer_id}/pos/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"creation_date": "2023-11-07T05:31:56Z",
"total": 123,
"tax_amount": 123,
"payments": [
{
"total": 123,
"id": "payment-123",
"payment_method_id": "payment-method-123",
"payment_method_name": "Cash",
"tip": 1,
"status": "Completed",
"currency": "EUR",
"date": "2025-01-01T00:00:00Z",
"invoice_ref": "invoice-123"
}
],
"items": [
{
"id": "<string>",
"quantity": 123,
"unit_price": 123,
"total": 123,
"tax_amount": 123,
"type": "product",
"menu_id": "456",
"tax_rate": 10,
"tax_id": "371ca583-d218-4900-b236-397532cf0e39",
"description": "Pizza",
"discounts": [],
"product_id": "789",
"accounting_category_id": "123"
}
],
"order_number": "1",
"closing_date": "2025-01-01T00:00:00Z",
"service_date": "2025-01-01T00:00:00Z",
"device_id": "device-123",
"total_discount": 10,
"total_refund": 5,
"total_tip": 1,
"delivery_fee": 1,
"mode": "eat_in",
"source": "web",
"currency": "EUR",
"country": "FR",
"loyalty": 100,
"customer_id": "customer-123",
"location_id": "location-123",
"taxes": [],
"guests": 1
}
],
"total": 1,
"page": 2,
"size": 2
}{
"message": "Error while trying to perform your request",
"status": "error"
}{
"message": "The resource {Method} - {Resource} is not supported by {ConnectorName}",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"message": "Error while trying to authenticate to {ConnectorName}",
"status": "error"
}Orders
Get orders
Returns a list of the orders
GET
/
consumers
/
{consumer_id}
/
pos
/
orders
Get orders
Path Parameters
Query Parameters
Page number
Required range:
x >= 1Page size
Required range:
1 <= x <= 100Start date (inclusive) of the period to get orders from
End date (inclusive) of the period to get orders from
Unique identifier of the location. If none passed, orders from all locations will be returned unless the location was selected by the end-user
State of the orders to get
Available options:
open, closed, all Unique identifier of the closure. If none passed, orders from all closures will be selected.
⌘I